Ask Your Question
2

tox -egenconfig to create fails to run

asked 2015-12-12 07:55:08 -0600

bkopilov gravatar image

updated 2015-12-12 17:57:44 -0600

Hi , Installing latest code from tempest , installing eith pip test-requirements.txt and requirements.txt. When trying to create a temest.conf.sample file , get this error :

1:55:45 [prepare_tempest]
21:55:45 cougar09.scl.lab.tlv.redhat.com:2222|>>|cd /home/stack/tempest && source /home/stack/tempest/.venv/bin/activate && tox -egenconfig
21:55:46 <<|Traceback (most recent call last):
21:55:46 <<|  File "/usr/bin/tox", line 11, in <module>
21:55:46 <<|    sys.exit(cmdline())
21:55:46 <<|  File "/usr/lib/python2.7/site-packages/tox/session.py", line 38, in main
21:55:46 <<|    config = prepare(args)
21:55:46 <<|  File "/usr/lib/python2.7/site-packages/tox/session.py", line 26, in prepare
21:55:46 <<|    config = parseconfig(args)
21:55:46 <<|  File "/usr/lib/python2.7/site-packages/tox/config.py", line 229, in parseconfig
21:55:46 <<|    parseini(config, inipath)
21:55:46 <<|  File "/usr/lib/python2.7/site-packages/tox/config.py", line 729, in __init__
21:55:46 <<|    self.make_envconfig(name, section, reader._subs, config)
21:55:46 <<|  File "/usr/lib/python2.7/site-packages/tox/config.py", line 760, in make_envconfig
21:55:46 <<|    res = meth(env_attr.name, env_attr.default)
21:55:46 <<|  File "/usr/lib/python2.7/site-packages/tox/config.py", line 893, in getdict_setenv
21:55:46 <<|    definitions = self._getdict(value, default=default, sep=sep)
21:55:46 <<|  File "/usr/lib/python2.7/site-packages/tox/config.py", line 904, in _getdict
21:55:46 <<|    name, rest = line.split('=', 1)
21:55:46 <<|ValueError: need more than 1 value to unpac
21:55:46 <<|k

Am i missing something ? This command was working for me before.

Thanks, Benny

edit retag flag offensive close merge delete

3 answers

Sort by ยป oldest newest most voted
1

answered 2015-12-12 09:56:48 -0600

ZhiQiang Fan gravatar image

updated 2015-12-12 09:59:27 -0600

you didn't do anything wrong, tox latest version 2.3.0 isn't compatiable, if you don't want to change tempest settings in tox.ini, just downgrade tox version, 2.1.1 works fine for me

edit flag offensive delete link more
0

answered 2015-12-13 05:51:17 -0600

chucky gravatar image

I can confirm going back to tox 2.1.1 fixed it. As root try "sudo pip install -U tox==2.1.1"

edit flag offensive delete link more
0

answered 2015-12-13 20:03:43 -0600

threeout gravatar image

You can ceck yor tox version

$tox --version

https://launchpad.net/ubuntu/+source/tox/2.1.1-2 (https://launchpad.net/ubuntu/+source/...) Download v2.1.1 and run setup.py

$python setup.py install

then ceck the version again

$tox --version

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

2 followers

Stats

Asked: 2015-12-12 07:55:08 -0600

Seen: 205 times

Last updated: Dec 12 '15